No announcement yet.

New ATI 8.801 Linux Driver (OpenGL 4.1 + more?)

  • Filter
  • Time
  • Show
Clear All
new posts

  • New ATI 8.801 Linux Driver (OpenGL 4.1 + more?)

    Just found these drivers which are apparently listed only for FireGL / FirePro cards..
    And a typical lack of release notes , but interesting that a public Beta Linux driver shows up....

  • #2
    The problem with some workstation cards is that they basically would work fine with the monthly driver, but aticonfig claims that it is not supported and the control file does not contain the workstation ids, so that it will show unsupported ati hardware. I could live with the control file as a simple binary hack can get rid of it, but without aticonfig you need a working xorg.conf in place already, so write it yourself when aticonfig does not work. (Thats why changing cards after a xorg.conf was created would work.) Maybe somebody really clever could develop a generic patch for aticonfig to get rid of that stupid check.


    • #3
      Saw the news article. How long as ATI been shipping an OpenCL runtime with their drivers? I thought you needed to install the Stream SDK to get it.


      • #4
        Since about a year or so.


        • #5
          Cool, thanks. Does this include /vendors/OpenCL/ati.icd (or whatever.icd?)
          (Sorry to ask, but my ATI computer isn't working right now so I can't check.)